package client.messages;

/**
 * Immutable message class. Contains the fields:
 * <ol>
 * <li>MessageType t - type of message</li>
 * </ol>
 */
public class BitMessage extends Message {
	private static final long serialVersionUID = 7196253667541666091L;
		
	public MessageType type;
	
	public BitMessage(MessageType t) {
		this.type = t;
	}	
	
	@Override
	public String toString() {
		return type.name();
	}
}
